Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21971

Description

In Project Properties, General, Ellipsoid choosing certain ellipsoids appear changed to a different one when Project Properties is opened

again.

example: choose 'WGS84' (note there is no space in the name); on opening Project Properties after OK to the selection, the ellipsoid

shown is Clarke 1866, not the one that was selected.

However, the ellipsoid selected is saved to the project file.

I noticed that the stored (in project file) ellipsoid value is one of the IGNF:ELG... (acronym in tbl_ellipsoid in the srs.db) which apparently

aren't recognized by Project Properties when reading the stored value.

History

#1 - 2015-12-07 12:33 PM - Steven Mizuno

- Category set to Project Loading/Saving

I just noticed some previous reports of a similar issue #9767, #10392 when I searched again (missed the closed tickets).

It just occurred to me that the ':' that is in the (IGNF:ELG...) acronyms is used to find the values in the Parameters: choice.

I tried changing the IGNF: acronyms to using an underscore in place of the colon -- this works to retrieve and display the selected ellipsoid.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
